--- old/usr/src/head/stdlib.h	2015-06-06 11:37:51.671899503 +0300
+++ new/usr/src/head/stdlib.h	2015-06-06 11:37:51.680674792 +0300
@@ -94,9 +94,13 @@
 #ifdef	__PRAGMA_REDEFINE_EXTNAME
 #pragma redefine_extname	mkstemp		mkstemp64
 #pragma redefine_extname	mkstemps	mkstemps64
+#pragma	redefine_extname	mkostemp	mkostemp64
+#pragma	redefine_extname	mkostemps	mkostemps64
 #else	/* __PRAGMA_REDEFINE_EXTNAME */
 #define	mkstemp			mkstemp64
 #define	mkstemps		mkstemps64
+#define	mkostemp		mkostemp64
+#define	mkostemps		mkostemps64
 #endif	/* __PRAGMA_REDEFINE_EXTNAME */
 
 #endif	/* _FILE_OFFSET_BITS == 64 */
@@ -107,9 +111,13 @@
 #ifdef	__PRAGMA_REDEFINE_EXTNAME
 #pragma redefine_extname	mkstemp64	mkstemp
 #pragma redefine_extname	mkstemps64	mkstemps
+#pragma	redefine_extname	mkostemp64	mkostemp
+#pragma	redefine_extname	mkostemps64	mkostemps
 #else	/* __PRAGMA_REDEFINE_EXTNAME */
 #define	mkstemp64		mkstemp
 #define	mkstemps64		mkstemps
+#define	mkostemp64		mkostemp
+#define	mkostemps64		mkostemps
 #endif	/* __PRAGMA_REDEFINE_EXTNAME */
 
 #endif	/* _LP64 && _LARGEFILE64_SOURCE */
@@ -178,6 +186,20 @@
 #endif
 #endif	/* _LARGEFILE64_SOURCE... */
 
+#if !defined(_STRICT_SYMBOLS) || defined(_XPG7)
+extern char	*mkdtemp(char *);
+#endif	/* !defined(_STRICT_SYMBOLS) || defined(_XPG7) */
+
+#if !defined(_STRICT_SYMBOLS)
+extern int		mkostemp(char *, int);
+extern int		mkostemps(char *, int, int);
+#if defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
+		!defined(__PRAGMA_REDEFINE_EXTNAME))
+extern int		mkostemp64(char *, int);
+extern int		mkostemps64(char *, int, int);
+#endif	/* defined(_LARGEFILE64_SOURCE) || !((_FILE_OFFSET_BITS == 64) ... */
+#endif	/* !defined(_STRICT_SYMBOLS) */
+
 #if defined(__EXTENSIONS__) || \
 	(!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) || \
 	defined(_XPG4_2)
--- old/usr/src/test/libc-tests/cfg/symbols/stdlib_h.cfg	2015-06-06 11:37:51.955787366 +0300
+++ new/usr/src/test/libc-tests/cfg/symbols/stdlib_h.cfg	2015-06-06 11:37:51.961887753 +0300
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Garrett D'Amore <garrett@damore.org>
+# Copyright 2015, OmniTI Computer Consulting, Inc. All Rights Reserved.
 #
 
 #
@@ -55,3 +56,33 @@
 	size_t								|\
 	stdlib.h							|\
 	ALL
+
+func |	mkstemp								|\
+	int 								|\
+	char *								|\
+	stdlib.h							|\
+	C90 C99 SUSv1+
+
+func |	mkostemp							|\
+	int 								|\
+	char *; int							|\
+	stdlib.h							|\
+	-ALL
+
+func |	mkstemps							|\
+	int 								|\
+	char *; int							|\
+	stdlib.h							|\
+	C90 C99
+
+func |	mkostemps							|\
+	int 								|\
+	char *; int; int						|\
+	stdlib.h							|\
+	-ALL
+
+func |	mkdtemp								|\
+	char * 								|\
+	char *								|\
+	stdlib.h							|\
+	-ALL SUSv4+
